## Описание
Начальная база для быстрого развертывания бэка на NestJS
## Что включает?

#### Компоненты
- Подключенный MySQL (config -> ormconfig.json)
- i18n - языковой пакет для мультиязычности
- SwaggerUI (http://APP_URL_API/api)
- Базовая авторизация по JWT (+ endpoints and guards)
- Обработчик ошибок (возвращается в формате объекта code, errors)
- Валидация

#### Модели
- Users (базовая модель которая включает в себя email и password)

## Перед запуском
#### Установить все node пакеты
```bash
$ yarn install
```

#### Произвести ряд настроек

- Настройка соединения с MySQL -> ormconfig.json
- Базовые настройки CORS и т.д -> config.json

## Запуск

```bash
# development
$ yarn start

# watch mode
$ yarn start:dev

# production mode
$ yarn start:prod
```
